org.eclipse.jetty.http

## Class EncodedHttpURI

- java.lang.Object
- - org.eclipse.jetty.http.HttpURI
  - - org.eclipse.jetty.http.EncodedHttpURI

    public class EncodedHttpURI
    extends HttpURI

### Constructor Summary

Constructors
Constructor and Description
`EncodedHttpURI(String encoding)`

### Method Summary

Methods
`void` `decodeQueryTo(MultiMap parameters)`
`void` `decodeQueryTo(MultiMap parameters, String encoding)`
`String` `getAuthority()`
`String` `getCompletePath()`
`String` `getDecodedPath()`
`String` `getFragment()`
`String` `getHost()`
`String` `getParam()`
`String` `getPath()`
`String` `getPathAndParam()`
`int` `getPort()`
`String` `getQuery()`
`String` `getScheme()`
`boolean` `hasQuery()`
`String` `toString()`
`void` `writeTo(Utf8StringBuffer buf)`

### Methods inherited from class org.eclipse.jetty.http.HttpURI

`clear, getDecodedPath, getQuery, parse, parse, parseConnect, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EncodedHttpURI

    public EncodedHttpURI(String encoding)

### Method Detail

#### getScheme

    public String getScheme()

Overrides:
  `getScheme` in class `HttpURI`

#### getAuthority

    public String getAuthority()

Overrides:
  `getAuthority` in class `HttpURI`

#### getHost

    public String getHost()

Overrides:
  `getHost` in class `HttpURI`

#### getPort

    public int getPort()

Overrides:
  `getPort` in class `HttpURI`

#### getPath

    public String getPath()

Overrides:
  `getPath` in class `HttpURI`

#### getDecodedPath

    public String getDecodedPath()

Overrides:
  `getDecodedPath` in class `HttpURI`

#### getPathAndParam

    public String getPathAndParam()

Overrides:
  `getPathAndParam` in class `HttpURI`

#### getCompletePath

    public String getCompletePath()

Overrides:
  `getCompletePath` in class `HttpURI`

#### getParam

    public String getParam()

Overrides:
  `getParam` in class `HttpURI`

#### getQuery

    public String getQuery()

Overrides:
  `getQuery` in class `HttpURI`

#### hasQuery

    public boolean hasQuery()

Overrides:
  `hasQuery` in class `HttpURI`

#### getFragment

    public String getFragment()

Overrides:
  `getFragment` in class `HttpURI`

#### decodeQueryTo

    public void decodeQueryTo(MultiMap parameters)

Overrides:
  `decodeQueryTo` in class `HttpURI`

#### decodeQueryTo

    public void decodeQueryTo(MultiMap parameters,
                     String encoding)
                       throws UnsupportedEncodingException

Overrides:
  `decodeQueryTo` in class `HttpURI`
Throws:
  `UnsupportedEncodingException`

#### toString

    public String toString()

Overrides:
  `toString` in class `HttpURI`

#### writeTo

    public void writeTo(Utf8StringBuffer buf)